### Method

# Snapd Connection get_plug

since: 1.48

#### Declaration [src]

    SnapdPlugRef*
    snapd_connection_get_plug (
      SnapdConnection* connection
    )

#### Description [src]

Get the plug this connection is made with.

Available since: 1.48

Gets property | `Snapd.Connection:plug`

#### Return value

Type: `SnapdPlugRef`

A reference to a plug.

The returned data is owned by the instance.